Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1055731 - bluez did not power on bluetooth
Summary: bluez did not power on bluetooth
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: bluez
Version: 20
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Don Zickus
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-01-20 20:18 UTC by Peter Bieringer
Modified: 2015-06-29 14:36 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-06-29 14:36:43 UTC


Attachments (Terms of Use)
patch for bluetoothd (deleted)
2015-04-10 17:35 UTC, Alexander Holler
no flags Details | Diff

Description Peter Bieringer 2014-01-20 20:18:03 UTC
Description of problem:
after upgrading from F19 to F20, a bluetooth mouse is no longer active.

Version-Release number of selected component (if applicable):
bluez-5.13-1.fc20.i686


How reproducible:
after every boot

Steps to Reproduce:
1. boot 
2. try to use bluetooth mouse

Actual results:
Not working

Expected results:
Working as on F19

Additional info:

LXDE

Looks like something forgot to power-on the bluetooth device:

# bluetoothctl 
[NEW] Controller 00:16:41:**:**:** hostname-0 [default]
[NEW] Device 00:1F:20:**:**:** Logitech Bluetooth Mouse M555b
[bluetooth]# power
Missing on/off argument
[bluetooth]# scan on
Failed to start discovery: org.bluez.Error.NotReady
[bluetooth]# power on
[CHG] Controller 00:16:41:**:**:** Class: 0x0c010c
Changing power on succeeded
[CHG] Controller 00:16:41:**:**:** Powered: yes
[CHG] Device 00:1F:20:**:**:** Connected: yes


The system is dual boot, on Windows 8 the Bluetooth mouse is recognized automatic.

Were there any changes in default regarding Bluetooth power management?

Bluetooth system itself started properly:

# systemctl |grep blue | grep -v pci
sys-subsystem-bluetooth-devices-hci0.device                                                         loaded active plugged   /sys/subsystem/bluetooth/devices/hci0
sys-subsystem-bluetooth-devices-hci0:46.device                                                      loaded active plugged   /sys/subsystem/bluetooth/devices/hci0:46
bluetooth.service                                                                                   loaded active running   Bluetooth service
bluetooth.target                                                                                    loaded active active    Bluetooth

Comment 1 Marc Ponschab 2014-01-22 20:15:36 UTC
Have a related issue: my bluetooth mouse is recognized not until gnome is started. At gdm login screen it's not working.

Bluetoothctl in a VT showed that the controller was not powered.

I fixed it by creating a udev-rule /etc/udev/rules.d/99-start-bluetooth-controller.rules:

KERNEL=="hci[0-9]*", SUBSYSTEM=="bluetooth", RUN+="/usr/bin/hciconfig %k up"

Possibly the issue is related to these entries in /var/log/messages:

Jan 22 20:53:41 BOX dbus-daemon: dbus[894]: [system] Rejected send message, 2 matched rules; type="method_call", sender=":1.29" (uid=42 pid=1388 comm="gnome-shell --mode=gdm ") interface="or
g.freedesktop.DBus.ObjectManager" member="GetManagedObjects" error name="(unset)" requested_reply="0" destination=":1.2" (uid=0 pid=851 comm="/usr/libexec/bluetooth/bluetoothd ")
Jan 22 20:53:41 BOX dbus[894]: [system] Rejected send message, 2 matched rules; type="method_call", sender=":1.29" (uid=42 pid=1388 comm="gnome-shell --mode=gdm ") interface="org.freedesktop
.DBus.ObjectManager" member="GetManagedObjects" error name="(unset)" requested_reply="0" destination=":1.2" (uid=0 pid=851 comm="/usr/libexec/bluetooth/bluetoothd ")

Comment 2 Julius Schwartzenberg 2015-04-06 11:45:57 UTC
Pidora 20 has exactly the same issue.

Comment 3 Alexander Holler 2015-04-10 17:35:23 UTC
Created attachment 1013216 [details]
patch for bluetoothd


I've attached a patch for bluetoothd. Maybe someone likes it.

Here's the thread:

http://marc.info/?l=linux-bluetooth&m=142868508000711&w=2

Comment 4 Fedora End Of Life 2015-05-29 10:35:45 UTC
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 5 Fedora End Of Life 2015-06-29 14:36:43 UTC
Fedora 20 changed to end-of-life (EOL) status on 2015-06-23. Fedora 20 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.